commit:     dcb86f84182a2d9dde1e766b8abf4d43cee59309
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 21 19:09:45 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov 21 19:09:45 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dcb86f84

net-misc/youtube-dl: Bump to 2020.11.21.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-misc/youtube-dl/Manifest                       |  1 +
 net-misc/youtube-dl/youtube-dl-2020.11.21.1.ebuild | 72 ++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/net-misc/youtube-dl/Manifest b/net-misc/youtube-dl/Manifest
index cc7ee7f6835..e4cf35cd360 100644
--- a/net-misc/youtube-dl/Manifest
+++ b/net-misc/youtube-dl/Manifest
@@ -3,3 +3,4 @@ DIST youtube-dl-2020.11.01.1.tar.gz 3190146 BLAKE2B 
9f0a6d5041f12881d0f028459054
 DIST youtube-dl-2020.11.12.tar.gz 3188015 BLAKE2B 
17267ce8c3068f3a1aca20b23a77a964b005fe4a64a5c37fd3f1d97e4daae4978379ff81b6e4ac4b86fa1f3d27f01b1742dc26e42ea5b8522e3408bfe9f9e944
 SHA512 
7db373f6cc252635a3613ffe0b3b10640e262778105ebbd78b837fe019b0a2609032d2aeb81b239e000a86220aff99d2c018a9a6325adad6981a8ab64048131c
 DIST youtube-dl-2020.11.18.tar.gz 3186065 BLAKE2B 
1c27ffc59bbf7793c58e554923ea7ef8a528191e896f64e39ecb181582bcd9bfecf6de5622e70c873528b1b0b3a8335a12ab6a7b3ac71d603391ebbf83110b89
 SHA512 
110de857759b4c4bd0160242adebb3d8690bda2203a28a7b1a2ac1cdd9bca058702fd0b323010629e74bbb2df38f50c67b710bc2a6ad4cc907827ee013d0dbcf
 DIST youtube-dl-2020.11.19.tar.gz 3188309 BLAKE2B 
775700f26491257125eb68ce49c1ec062ae21568cb3f20463330430d225e2af4e02daed839e5c29cded9b92921a16f0a9611fedc748ca1cd6152c33a131d1503
 SHA512 
042b0fbe0f1100c338924c9278d4071aaf4cd27dfc7c9d951244aec91a9168358e7463352548a5b7c6a567b077a9db69776790c3a35e08bdf6552f465b4f735f
+DIST youtube-dl-2020.11.21.1.tar.gz 3193010 BLAKE2B 
a7c04f83815e5b7b6b75109863cf470ca2f756523c08fdfb65386756c9cbfea80e9ee2583f26cb41aa382f747b125543b86bf521a7c0973632a3ca331f48499c
 SHA512 
8f9b77eabe7821f952b706fff4db7ef4e0627dc8333fdfb5cfd0d1dfe4f3bab9ca54525c8c9ed7c285d75fe08c02060dd05744a9a82a526789c67040f8cbcd09

diff --git a/net-misc/youtube-dl/youtube-dl-2020.11.21.1.ebuild 
b/net-misc/youtube-dl/youtube-dl-2020.11.21.1.ebuild
new file mode 100644
index 00000000000..0839988f367
--- /dev/null
+++ b/net-misc/youtube-dl/youtube-dl-2020.11.21.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=(python3_{6..9})
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit bash-completion-r1 distutils-r1 readme.gentoo-r1
+
+DESCRIPTION="Download videos from YouTube.com (and more sites...)"
+HOMEPAGE="https://youtube-dl.org/ https://github.com/ytdl-org/youtube-dl/";
+SRC_URI="https://youtube-dl.org/downloads/${PV}/${P}.tar.gz";
+S=${WORKDIR}/${PN}
+
+LICENSE="public-domain"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
+SLOT="0"
+
+RDEPEND="
+       dev-python/pycryptodome[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests nose
+
+src_prepare() {
+       sed -i -e '/flake8/d' Makefile || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       emake offlinetest
+}
+
+python_install_all() {
+       dodoc README.txt
+       doman ${PN}.1
+
+       newbashcomp ${PN}.bash-completion ${PN}
+
+       insinto /usr/share/zsh/site-functions
+       newins ${PN}.zsh _${PN}
+
+       insinto /usr/share/fish/vendor_completions.d
+       doins ${PN}.fish
+
+       distutils-r1_python_install_all
+
+       rm -r "${ED}"/usr/etc || die
+       rm -r "${ED}"/usr/share/doc/youtube_dl || die
+}
+
+pkg_postinst() {
+       elog "${PN}(1) / https://bugs.gentoo.org/355661 /"
+       elog "https://github.com/rg3/${PN}/blob/master/README.md#faq :"
+       elog
+       elog "${PN} works fine on its own on most sites. However, if you want"
+       elog "to convert video/audio, you'll need ffmpeg (media-video/ffmpeg)."
+       elog "On some sites - most notably YouTube - videos can be retrieved in"
+       elog "a higher quality format without sound. ${PN} will detect whether"
+       elog "ffmpeg is present and automatically pick the best option."
+       elog
+       elog "Videos or video formats streamed via RTMP protocol can only be"
+       elog "downloaded when rtmpdump (media-video/rtmpdump) is installed."
+       elog
+       elog "Downloading MMS and RTSP videos requires either mplayer"
+       elog "(media-video/mplayer) or mpv (media-video/mpv) to be installed."
+       elog
+       elog "If you want ${PN} to embed thumbnails from the metadata into the"
+       elog "resulting MP4 files, consider installing 
media-video/atomicparsley"
+}

Reply via email to